import setuptools

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setuptools.setup(
    name="tinge",
    version="0.0.1",
    author="Micke Nordin",
    author_email="hej@mic.ke",
    data_files = [('share/applications', ['data/org.smolnet.tinge.desktop']),],
    description="A GUI for Philips Hue lights.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://code.smolnet.org/micke/tinge",
    project_urls={
        "Bug Tracker": "https://code.smolnet.org/micke/tinge/issues",
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: GPL-3.0",
        "Operating System :: OS Independent",
    ],
    package_dir={"": "src"},
    packages=setuptools.find_packages(where="src"),
    python_requires=">=3.9",
    scripts=["scripts/tinge"],
)
